import IInputKeyMessage from './IInputKeyMessage';
import IKeyUpEvent from './IKeyUpEvent';
export default interface IInput {
    window: Window;
    onKeyUp(listener: (event: IKeyUpEvent) => void): void;
    handleMessageData(data: IInputKeyMessage): void;
    removeEventListeners(): void;
    removeEventListener(event: string, listener: (...args: any[]) => void): void;
    emitKeyUpEvent(event: IKeyUpEvent): void;
}
